Bug 810736 - [abrt] kernel: kernel BUG at fs/btrfs/volumes.c:2094!
[abrt] kernel: kernel BUG at fs/btrfs/volumes.c:2094!
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:2e9a8580c877005473136aec06c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-08 15:12 EDT by Matt Hooper
Modified: 2012-04-09 09:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-09 09:53:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Hooper 2012-04-08 15:12:25 EDT
libreport version: 2.0.8
abrt_version:   2.0.4.981
cmdline:        BOOT_IMAGE=/vmlinuz-3.1.0-7.fc16.i686 root=UUID=5e11c88f-cba6-4c77-87be-13e83bb61c6c ro rd.md=0 rd.lvm=0 rd.dm=0 quiet SYSFONT=latarcyrheb-sun16 rhgb KEYTABLE=uk rd.luks=0 LANG=en_US.UTF-8
comment:        Attempting to balance data across three drives in a mounted set
kernel:         undefined
reason:         kernel BUG at fs/btrfs/volumes.c:2094!
time:           Sun 08 Apr 2012 06:57:34 PM BST

backtrace:
:kernel BUG at fs/btrfs/volumes.c:2094!
:invalid opcode: 0000 [#1] SMP 
:Modules linked in: fcoe libfcoe libfc scsi_transport_fc scsi_tgt nf_conntrack_ipv4 nf_defrag_ipv4 ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables 8021q garp stp llc ppdev snd_via82xx_modem snd_via82xx gameport snd_ac97_codec ac97_bus snd_seq parport_pc snd_pcm parport snd_mpu401_uart snd_timer snd_rawmidi snd_seq_device snd soundcore k8temp skge snd_page_alloc i2c_viapro uinput btrfs zlib_deflate libcrc32c ata_generic pata_acpi pata_via sata_via sata_promise nouveau ttm drm_kms_helper drm i2c_algo_bit i2c_core mxm_wmi wmi video [last unloaded: scsi_wait_scan]
:Pid: 1402, comm: btrfs Not tainted 3.1.0-7.fc16.i686 #1 To Be Filled By O.E.M. To Be Filled By O.E.M./A8V Deluxe
:EIP: 0060:[<f86c0ed4>] EFLAGS: 00010282 CPU: 1
:EIP is at btrfs_balance+0x101/0x2a3 [btrfs]
:EAX: fffffffb EBX: 70b06000 ECX: 8024001c EDX: 8024001d
:ESI: 00000074 EDI: f28ee400 EBP: f0023e88 ESP: f0023e30
: DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
:Process btrfs (pid: 1402, ti=f0022000 task=f6cba5b0 task.ti=f0022000)
:Stack:
: 00010041 000000d0 00000028 f6d17000 70c06000 f6c3b200 f2dbbba8 f2b42400
: 70c06000 00000074 c0c1973c 00073e68 00000005 00000727 f0023eb4 9b5e371d
: 00000005 00000727 f0023ea0 f0bc1240 f86c6eb4 f1a94610 f0023f18 f86c774c
:Call Trace:
: [<f86c6eb4>] ? btrfs_ioctl_trans_end+0x52/0x52 [btrfs]
: [<f86c774c>] btrfs_ioctl+0x898/0xbc0 [btrfs]
: [<c0589d78>] ? inode_has_perm+0x3f/0x46
: [<c0589e21>] ? file_has_perm+0xa2/0xbb
: [<f86c6eb4>] ? btrfs_ioctl_trans_end+0x52/0x52 [btrfs]
: [<c04f7829>] do_vfs_ioctl+0x454/0x485
: [<c058b6df>] ? selinux_file_ioctl+0xac/0xb0
: [<c04f78a2>] sys_ioctl+0x48/0x6a
: [<c0810b0c>] syscall_call+0x7/0xb
:Code: 5e 70 39 d3 77 63 72 04 39 c1 77 5d 8b 5d c8 8b 75 cc 29 c3 8b 45 bc 19 d6 89 da 89 f1 e8 f2 fb ff ff 83 f8 e4 74 56 85 c0 74 02 <0f> 0b 8b 45 c4 31 d2 e8 e3 0d fe ff 3d 00 f0 ff ff 89 c3 76 02 
:EIP: [<f86c0ed4>] btrfs_balance+0x101/0x2a3 [btrfs] SS:ESP 0068:f0023e30

smolt_data:
:
:
:General
:=================================
:UUID: 7b7d539c-9095-48ea-9dcb-39b240fcd4a4
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 4405.64
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) 64 X2 Dual Core Processor 4200+
:CPU Stepping: 1
:CPU Family: 15
:CPU Model Num: 43
:Number of CPUs: 2
:CPU Speed: 2200
:System Memory: 3031
:System Swap: 2047
:Vendor: To Be Filled By O.E.M.
:System: To Be Filled By O.E.M. To Be Filled By O.E.M.
:Form factor: Desktop
:Kernel: 3.3.1-3.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4358:12839:4163:33005) pci, None, PCI/ISA, A7V600/K8V-X/A8V Deluxe motherboard
:(4358:12548:4163:33005) pci, ehci_hcd, USB, A7V600/K8V-X/A8V Deluxe motherboard
:(4358:12344:4163:33005) pci, uhci_hcd, USB, A7V600/K8V-X/A8V Deluxe motherboard
:(4358:12377:4163:33066) pci, snd_via82xx, MULTIMEDIA_AUDIO, A8V Deluxe motherboard (Realtek ALC850 codec)
:(4358:12344:4163:33005) pci, uhci_hcd, USB, A7V600/K8V-X/A8V Deluxe motherboard
:(4358:12344:4163:33005) pci, uhci_hcd, USB, A7V600/K8V-X/A8V Deluxe motherboard
:(4358:8834:0:0) pci, None, HOST/PCI, K8T800Pro Host Bridge
:(4358:12930:0:0) pci, None, HOST/PCI, K8T800Pro Host Bridge
:(4358:642:4163:32931) pci, agpgart-amd64, HOST/PCI, A8V Deluxe
:(4358:4738:0:0) pci, None, HOST/PCI, K8T800Pro Host Bridge
:(4358:29314:0:0) pci, None, HOST/PCI, K8T800Pro Host Bridge
:(4358:17026:0:0) pci, None, HOST/PCI, K8T800Pro Host Bridge
:(4358:45448:0:0) pci, None, PCI/PCI, VT8237 PCI bridge [K8T800/K8T890 South]
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4354:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4358:12344:4163:33005) pci, uhci_hcd, USB, A7V600/K8V-X/A8V Deluxe motherboard
:(4358:12392:0:0) pci, None, SIMPLE, AC'97 Modem Controller
:(4318:69:0:0) pci, nvidia, VIDEO, NV40 [GeForce 6800 GT]
:(4523:17184:4163:33050) pci, skge, ETHERNET, Marvell 88E8001 Gigabit Ethernet Controller (Asus)
:(4186:13171:4163:33013) pci, sata_promise, RAID, K8V Deluxe/PC-DL Deluxe motherboard
:(4358:12617:4163:33005) pci, sata_via, RAID, A7V600/K8V Deluxe/K8V-X/A8V Deluxe motherboard
:(4358:1393:4163:33005) pci, pata_via, STORAGE, A7V600/K8V-X/A8V Deluxe motherboard
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda4 / ext4 4096 4096 6845287 6078218 6009693 1720320 1624037 1624037
:/dev/sda2 /home ext4 4096 4096 2613235 2540750 2409678 655360 655200 655200
:/dev/sda1 /boot ext4 1024 1024 202770 143703 133463 51200 50971 50971
:/dev/sdc WITHHELD btrfs 4096 4096 244655334 122879033 163751343 0 0 0
:
Comment 1 Josh Boyer 2012-04-09 09:53:36 EDT
(In reply to comment #0)
> libreport version: 2.0.8
> abrt_version:   2.0.4.981
> cmdline:        BOOT_IMAGE=/vmlinuz-3.1.0-7.fc16.i686

This is a very old kernel by now.  Please update and open a new bug if you can recreate there.

Note You need to log in before you can comment on or make changes to this bug.